%undefine __cmake_in_source_build
%global base_name libkipi

Name:    kf5-libkipi
Summary: Common plugin infrastructure for KDE image applications
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2+
URL:     https://invent.kde.org/graphics/%{base_name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{base_name}-%{version}.tar.xz

BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kxmlgui-devel
BuildRequires: kf5-kservice-devel
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig(Qt5Gui)

Recommends: kf5-kipi-plugins

%description
Kipi (KDE Image Plugin Interface) is an effort to develop a common plugin
structure (for Digikam, Gwenview, etc.). Its aim is to share
image plugins among graphic applications.

%package devel
Summary:  Development files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: cmake(Qt5Gui)
Requires: cmake(KF5Config)
Requires: cmake(KF5Service)
Requires: cmake(KF5XmlGui)
%description devel
%{summary}.


%prep
%autosetup  -n %{base_name}-%{version} -p1


%build
%{cmake_kf5}
%cmake_build


%install
%cmake_install



%files
%doc AUTHORS README
%license LICENSES/*
%{_kf5_libdir}/libKF5Kipi.so.*
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/kservicetypes5/kipiplugin.desktop
%{_kf5_datadir}/qlogging-categories5/kipi.categories

%files devel
%{_kf5_libdir}/libKF5Kipi.so
%{_kf5_includedir}/KIPI/
%{_kf5_libdir}/cmake/KF5Kipi/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
